Exiv2::RWLock Class Reference

Class to provide a Read-Write Lock. More...

`#include <rwlock.hpp>`

## Public Member Functions

| RWLock (const pthread_rwlockattr_t *attr=0)
| constructor (acquires the lock)
| ~RWLock ()
| constructor (releases lock)
void | wrlock ()
| acquire rw lock
bool | trywrlock ()
| test to see if the rw lock can be acquired
void | rdlock ()
| acquire rd lock
bool | tryrdlock ()
| test to see if the rd lock can be acquired
void | unlock ()
| release rw lock
void | rdunlock ()
| unlock rd lock
void | wrunlock ()
| unlock rw lock

## Detailed Description

Class to provide a Read-Write Lock.

The documentation for this class was generated from the following file:

- rwlock.hpp